Installation de la stack
============

## Table des matières 
- 1. [Prérequis](#1-prérequis)
  - 1.a. [Création des dossiers](#1-a-création-des-dossiers)
  - 1.b. [Modifications des .env](#1-b-modifications-des-env)
- 2. Création des conteneurs
  - 2.a Création du réseau]
  - 2.b Création des conteneurs
- 3. Configuration
  - 3.a Commandes de bases
  - 3.b Rajouter les chemins vers ces médias
  - 3.c Mise à jour automatique ( watchtower )
  - 3.d Reboot automatique en cas de soucis ( autoheal )

## 1. Prérequis

- Cette stack est concu pour fonctionner dans un dossier downloads-vpn, avec l'architecture suivante :
```
             downloads-vpn ---- vpn ------------ config
                            |                 |_ scripts
                            |
                            |-- rutorrent ------ data
                            |                 |_ passwd
                            |                 |_ downloads
                            |
                            |-- prowlarr ------- config
                            |
                            |-- sonarr --------- config
                            |                 |_ downloads
                            |
                            |-- radarr --------- config
                            |                 |_ downloads
                            |
                            |-- jackett -------- config
                            |
                            |-- qbitorrent ----- config
                            |                 |_ downloads
```

- Dans le paragraphe 1.a nous allons les créer avec une ligne de commande, et dans le paragraphe 1.b nous allons modifier le .env afin qu'il utilise bien ces dossiers ( en fonction de leurs localisation sur votre machine ).

### 1.a. Création des dossiers

- Avec `cd` aller dans le dossier de votre choix, par exemple "docker".
Exemple : Si votre dossier "docker" ce trouve dans /volume1, alors la commande sera :
`cd /volume1/docker`

Maintenant que nous sommes dans le bon dossier, nous allons executer la commande suivante pour créer d'un coup, toute l'architecture nécessaire :

`mkdir -p downloads-vpn/vpn/{config,scripts} downloads-vpn/rutorrent/{data,passwd,downloads} downloads-vpn/prowlarr/config downloads-vpn/sonarr/{config,downloads} downloads-vpn/radarr/{config,downloads} downloads-vpn/jackett/config downloads-vpn/qbitorrent/{config,downloads}`

### 1.b. Modifications des .env

- Par defaut, il n'y a rien a modifier dans `rtorrent-rutorrent.env`.

- Dans le fichier `.env` vous allez devoir modifier plusieurs chose :

**PUID et PGID** devront correspondre aux ID de votre utilisateurs, plus d'info ici : [Connaitre le PUID / PGID d'un utilisateur](https://www.forum-nas.fr/viewtopic.php?f=56&t=13213)

**RACINE** correspond au chemin vers le dossier downloads-vpn créé a l'étape 1.a. Dans ce cas, c'est : `/volume1/docker/downloads-vpn`

## 2. Création des conteneurs

